Bug 823661

Summary: Review Request: lessfs - An inline data deduplicating filesystem
Product: [Fedora] Fedora Reporter: Chris Cowley <chris>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jskarvad, mail, maxamillion, notting, package-review, pahan, renich, volker27
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-19 08:22:27 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Chris Cowley 2012-05-21 15:50:31 EDT
Review Request: Lessfs is an inline data deduplicating filesystem.

SRPM: http://yum.chriscowley.me.uk/el/6/SRPMS/repoview/lessfs.html
Comment 1 Parag AN(पराग) 2012-05-22 06:18:49 EDT
Please modify this review request to follow this template ->   https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-review
Comment 2 Chris Cowley 2012-05-22 06:37:08 EDT
Spec URL: http://git.chriscowley.me.uk/?p=rpms;a=blob_plain;f=SPECS/lessfs.spec;hb=8188095ebfe4f6cde9af34cb8ee2f26343ba8265
SRPM URL: http://yum.chriscowley.me.uk/fedora/rawhide/source/RPMS/lessfs-1.5.12-1.fc18.src.rpm
Description: A high performance inline data deduplicating filesystem for Linux.
Fedora Account System Username: chricowleyunix
Comment 3 Volker Fröhlich 2012-05-27 18:04:43 EDT
The FAS name is actually chriscowleyunix. You don't seem to have a sponsor, therefore tagging the ticket.

The license seems to be GPLv3+, from what I see in lessfsck.c.

Please don't mix RPM_BUILD_ROOT and buildroot.

Do you plan to bring this package to EPEL 5? If not, several elements are not necessary (buildroot definition, clean section, rm in install section.)

Don't require gcc. It is available by default, see: http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

Don't require tokyocabinet explicitly. Rpm creates this dependency on its own.

Since this is a daemon, you'll need a system user to run the daemon as. In Fedora daemons need systemd unit files: http://fedoraproject.org/wiki/Packaging:Systemd

Also see http://fedoraproject.org/wiki/Packaging:ScriptletSnippets

Looking at lessfs.cfg, /var/lib/lessfs/mta is expected to exist. You must create and own this directory.

Please use the name macro in Source. ${version} should be %{version}.

I suppose you are aware of the process of becoming a packager? http://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Mark the configuration file as such: http://fedoraproject.org/wiki/Packaging:Guidelines#Configuration_files

"/usr/bin/mklessfs" from the init script is certainly wrong, as you installed it to /usr/sbin.

What is that about? mkdir -p %{buildroot}/data
Comment 4 Chris Cowley 2012-05-28 13:53:06 EDT
Thanks - I'm going to sit down and learn about Systemd now. I had kind of been avoiding it as all the systems at work are on Centos, and most them are version 5.

I had not really considered putting this into EPEL5, I will think about it.

I will also try and remember what that last mkdir line was for.
Comment 5 Volker Fröhlich 2012-09-30 14:38:17 EDT
How's it going?
Comment 6 Volker Fröhlich 2012-10-13 04:02:03 EDT
Chris, I will close this ticket as of http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding in a week.
Comment 7 Chris Cowley 2012-10-14 11:54:11 EDT
Volker

I know this has stalled - I have just started a new job in a new country. As such FLOSS projects had to take a back seat over the last few months.

I will post an update asap.
Comment 8 Volker Fröhlich 2013-04-27 12:15:32 EDT
How's it going?
Comment 9 Volker Fröhlich 2013-05-19 08:22:27 EDT
I'll just close it for now. If you feel like working on it again, just re-open it.
Comment 10 Christopher Meng 2014-02-09 21:34:05 EST
*** Bug 530473 has been marked as a duplicate of this bug. ***
Comment 11 Christopher Meng 2014-02-10 03:27:05 EST

*** This bug has been marked as a duplicate of bug 1063171 ***